Subject: Re: bug#29059: network-manager-service extension package not fully functional

From: ng0 <[email-masked]>
Date: Tue, 14 Nov 2017 12:28:33 +0000

ng0 transcribed 2.7K bytes:
> Ludovic Courtès transcribed 1.0K bytes:
> > ng0 <[email-masked]> skribis:
> > 
> > > I have come to the conclusion (logs will be reproduced next week and added)
> > > that network-manager-openvpn might not be functional when
> > > used with the network-manager service, as
> > > network-manager-vpnc is structured in a similar way
> > > and it's similar structured in code and how it's being
> > > activated.
> > >
> > > I can only test the case for vpnc as I'm debugging
> > > the package right now. It kind-of-works, but the rule
> > > is not being found when you try to activate the
> > > vpnc connection.
> > 
> > Could you clarify a bit what you think is broken?
> >
> > VPN extensions are definitely found (as can be seen for instance in
> > ‘nm-connection-editor’) in my experience with a config like this:
> > 
> >            (network-manager-service-type
> >             config =>
> >             (network-manager-configuration
> >              (inherit config)
> >              (vpn-plugins (list (specification->package+output
> >                                  "network-manager-openvpn")))))
> > 
> > Thanks,
> > Ludo’.
> > 
> 
> Like this, where "…" is a removed uuid:
> 
> Nov 14 12:16:35 localhost NetworkManager[421]: <info>  [1510661795.5451] audit: op="connection-activate" uuid="…" name="VPN HS-BO" pid=639 uid=1000 result="fail" reason="The VPN service 'org.freedesktop.NetworkManager.vpnc' was not installed."
> 
> NetworkManager-vpnc is in my profile (I have to send this in)
> and the vpnc file and profile is correct.

paste from my current systemconfig:

             ;; networking with network-manager
             (service wpa-supplicant-service-type wpa-supplicant)
             (service network-manager-service-type
                      (network-manager-configuration
                       (vpn-plugins (list network-manager-openvpn
                                          network-manager-vpnc))))

Context here: https://c.n0.is/systems/tree/guixsd/workstations/abyayala/config.scm

and this mess is the vpnc plugin for NM:
https://c.n0.is/ng0_guix/packages/tree/ng0/packages/personalized.scm#n213

-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dl.n0.is/dist/keys/
  WWW: https://we.make.ritual.n0.is